---
title: "Set Channel Announcement"
slug: "set-channel-announcement"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Channel Announcement

Post/api/v1/channels.setAnnouncement

Set an announcement for the channel. Permission required: `edit-room`

### Changelog

| Version | Description |
| --- | --- |
| 0.63.0 | Added |

Header parametersX-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
X-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f

Body parameters<select class='api-response-data' aria-label='Media type'><option value='914dbabf-1ad2-466d-85ed-0fc55afe26b2'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='49ac41c4-9499-4efc-97d6-9aa7ebbfebca'>Success</option>
</select>Success

```json
{
  "roomId": "WDuJLFkjwk6L7LdFC",
  "announcement": "Test out everything"
}
```

object  roomIdstring    Required

The channel's id

announcementstring    Required

The announcement to set for the channel.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='30089b46-97fd-4e87-bc3c-ba62121d2ba5'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='6afa2ea3-0b3b-4a5f-b546-b5875de72558'>Example</option>
</select>Example

```json
{
  "announcement": "Test out everything",
  "success": true
}
```

object  announcementstring    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='57d94e4e-aaf2-4f34-8e3b-3bbd93d99cea'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='75104883-2452-4197-ad04-65217aa58400'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
